<?php
/*
Plugin Name: WP Code Highlight
Plugin URI: http://boliquan.com/wp-code-highlight/
Description: WP Code Highlight provides clean syntax highlighting and it also provides a code button. Wrap code blocks with <code>&lt;pre&gt;</code> and <code>&lt;/pre&gt;</code>
Version: 1.1.6
Author: BoLiQuan
Author URI: http://boliquan.com/
Text Domain: WP-Code-Highlight
Domain Path: /lang
*/

function wp_code_highlight_style(){
	$wp_code_highlight_themes=get_option('wp_code_highlight_themes');
	if($wp_code_highlight_themes=='random'){
		srand((float) microtime() *10000000);
		$theme_style[1]='wp-code-highlight';
		$theme_style[2]='desert';
		$theme_style[3]='sunburst';
		$theme_style[4]='sons-of-obsidian';
		$rand_theme=array_rand($theme_style);
		$wp_code_highlight_themes=$theme_style[$rand_theme];
	}
	$wp_code_highlight_css_url = plugins_url('/css/' . $wp_code_highlight_themes . '.css', __FILE__);
	if(file_exists(TEMPLATEPATH . "/wp-code-highlight.css")){
		$wp_code_highlight_css_url = get_bloginfo("template_url") . "/wp-code-highlight.css";
	}
	if(is_singular()){
		echo '<link rel="stylesheet" type="text/css" href="'.$wp_code_highlight_css_url.'" media="screen" />' . "\n";
	}
}
add_action("wp_head",'wp_code_highlight_style');

function wp_code_highlight_js(){
	$wp_code_highlight_js_url = plugins_url('/js/wp-code-highlight.js', __FILE__);
?>
	<?php if(is_singular()): ?>
	<script type="text/javascript">
		window.onload = function(){prettyPrint();};
	</script>
	<script type="text/javascript" src="<?php echo $wp_code_highlight_js_url; ?>"></script>
	<?php endif; ?>
<?php
}
add_action('get_footer','wp_code_highlight_js');

function wp_code_highlight_filter($content) {
	if(get_option('wp_code_highlight_line_numbers')=='enable'){
		$line_numbers=' linenums:1';
	}
	else{
		$line_numbers='';
	}
	//return preg_replace("|<pre class=\"prettyprint\"(.*?)>(.*?)</pre>|ise",
	  return preg_replace("|<pre(.*?)>(.*?)</pre>|ise",
	//	"'<pre class=\"prettyprint\"$1>'.str_replace(array('<', '>'), array('&lt;', '&gt;'), stripslashes(trim('$2'))).'</pre>'", $content);
	//	"'<pre class=\"prettyprint\"'.stripslashes('$1').'>'.str_replace(array('<', '>'), array('&lt;', '&gt;'), stripslashes(trim('$2'))).'</pre>'", $content);
		"'<pre class=\"wp-code-highlight prettyprint$line_numbers\">'.str_replace(array('<', '>'), array('&lt;', '&gt;'), stripslashes('$2')).'</pre>'", $content);
}
add_filter('the_content', 'wp_code_highlight_filter', 0);
add_filter('comment_text', 'wp_code_highlight_filter', 0);

?>
<?php if(is_admin()){require_once('wp_code_highlight_admin.php');} ?>
<?php 
if(is_admin() && get_option('wp_code_highlight_button')=='enable'){
add_action('admin_footer','wp_code_highlight_button_admin');
function wp_code_highlight_button_admin(){
?>
<script type="text/javascript">
//<![CDATA[
if(wp_code_highlight_toolbar = document.getElementById("ed_toolbar")){
wp_code_highlight_tag = edButtons.length;
edButtons[wp_code_highlight_tag] = new edButton('ed_highlight','wp-code-highlight','<pre>\n','\n</pre>\n','c');
var wp_code_highlight_button = wp_code_highlight_toolbar.lastChild; 
while(wp_code_highlight_button.nodeType!= 1){
wp_code_highlight_button = wp_code_highlight_button.previousSibling;
}
wp_code_highlight_button = wp_code_highlight_button.cloneNode(true);
wp_code_highlight_button.value = "WP-Code-Highlight";
wp_code_highlight_button.title = "WP Code Highlight";
wp_code_highlight_button.onclick = function(){edInsertTag(edCanvas,parseInt(wp_code_highlight_tag));}
wp_code_highlight_toolbar.appendChild(wp_code_highlight_button);
wp_code_highlight_button.id = "ed_highlight";
}
//]]>
</script>
<?php 
} 
} 
if(get_option("wp_code_highlight_deactivate")=='yes'){
	function wp_code_highlight_deactivate(){
		global $wpdb;
		$remove_options_sql = "DELETE FROM $wpdb->options WHERE $wpdb->options.option_name like 'wp_code_highlight_%'";
		$wpdb->query($remove_options_sql);
	}
	register_deactivation_hook(__FILE__,'wp_code_highlight_deactivate');
}
?>